[cura] Updated cura-stripper to work with 13.10

Miro Hrončok churchyard at fedoraproject.org
Wed Oct 16 12:13:06 UTC 2013


commit fe4da9f0a27f27b96971f02f78642bf3a23f4264
Author: Miro Hrončok <miro at hroncok.cz>
Date:   Wed Oct 16 13:08:38 2013 +0200

    Updated cura-stripper to work with 13.10

 cura-stripper.sh |   20 +++++++++-----------
 1 files changed, 9 insertions(+), 11 deletions(-)
---
diff --git a/cura-stripper.sh b/cura-stripper.sh
index 648b004..fffcb3d 100755
--- a/cura-stripper.sh
+++ b/cura-stripper.sh
@@ -1,18 +1,16 @@
 #!/bin/bash
 
-VERSION=$1
+VERSION="$1"
 
-tar -xzf Cura-$VERSION-linux.tar.gz || exit 1
-cd Cura-$VERSION-linux
+wget "https://github.com/daid/Cura/archive/$VERSION.tar.gz" || exit 1
 
-# Remove pypy
-# It is not nonfree but it is not needed and removing it reduces the filesize
-rm -rf pypy
+tar -xzf "$VERSION.tar.gz" || exit 1
+cd "Cura-$VERSION"
 
-cd Cura
+# not needed
+rm -rf scripts
 
-# Remove *.pyc
-find -name \*.pyc -delete
+cd Cura
 
 # Remove CC BY-NC content
 # It cannot be shipped with/in Fedora, as it has use restrictions 
@@ -31,5 +29,5 @@ sed -i 's/UltimakerRobot_support.stl/UltimakerHandle.stl/g' $FILES
 rm -rf resources/firmware
 
 cd ../..
-rm -f Cura-$VERSION-linux-fedora.tar.gz
-tar -czf Cura-$VERSION-linux-fedora.tar.gz Cura-$VERSION-linux
+rm -f "$VERSION.tar.gz"
+tar -czf Cura-$VERSION-fedora.tar.gz "Cura-$VERSION"


More information about the scm-commits mailing list